php5-xrange-1.3.2-2.17.i586.rpm


Advertisement

Description

php5-xrange - Numeric iterator primitives

Property Value
Distribution openSUSE Tumbleweed
Repository PHP Extensions all
Package filename php5-xrange-1.3.2-2.17.i586.rpm
Package name php5-xrange
Package version 1.3.2
Package release 2.17
Package architecture i586
Package type rpm
Homepage -
License -
Maintainer -
Download size 15.02 KB
Installed size 22.03 KB
xrange is a compiled extension that provides numeric iteration primitives to PHP on top of SPL. It includes a lean numeric range generator / iterator, modeled after Python's xrange() function. It's intended to provide an alternative for all numeric iteration and looping.

Alternatives

Package Version Architecture Repository
php5-xrange-1.3.2-2.17.x86_64.rpm 1.3.2 x86_64 PHP Extensions
php5-xrange - - -

Requires

Name Value
libc.so.6(GLIBC_2.4) -
php(api) = 20131106
php(zend-abi) = 20131226

Provides

Name Value
config(php5-xrange) = 1.3.2-2.17
php-xrange = 1.3.2
php5-xrange = 1.3.2-2.17
php5-xrange(x86-32) = 1.3.2-2.17

Obsoletes

Name Value
php-xrange < 1.3.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package php5-xrange-1.3.2-2.17.i586.rpm
Source Package php5-xrange-1.3.2-2.17.src.rpm

Install Howto

  1. Add the PHP Extensions repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/server:/php:/extensions/openSUSE_Factory/ php-extensions
  2. Install php5-xrange rpm package:
    # zypper install php5-xrange

Files

Path
/etc/php5/conf.d/xrange.ini
/usr/lib/php5/extensions/xrange.so
/usr/share/doc/packages/php5-xrange/CREDITS

Changelog

2016-01-29 - pgajdos@suse.com
- provides php-xrange symbol
2016-01-12 - pgajdos@suse.com
- updated to 1.3.2
2010-04-04 - crrodriguez@opensuse.org
- fix build with PHP 5.3
2009-08-17 - crrodriguez@suse.de
- use versioning macros
2008-03-04 - crrodriguez@suse.de
- Fixed version numbering scheme (x.y.z)
- Added missing classes to php_info output
- Fix for bug #13225 - implicit declaration warnings
2008-02-27 - crrodriguez@suse.de
- initial version 1.3

See Also

Package Description
php5-yaz-1.1.9-2.18.i586.rpm PHP Z39.50/SRU Client Extension
php5-yaz-1.1.9-2.18.x86_64.rpm PHP Z39.50/SRU Client Extension
Advertisement
Advertisement